<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart" class="fuenteMini">



            <h:outputText value="RH -> Afiliaciones" 
                          style="font-weight: bold; font-size: medium"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Administrar Afiliaciones  " />
           
            <br/><br/>

        <p:tabView id="afiliaciones" style="font-size: x-small;">

            <p:tab title="Nuevos Movimientos">

                <h:form id="filtros" >

                  
                    <h:panelGrid columns="7" cellpadding="5" columnClasses="centered5,centered6,centered5,centered6,centered5,centered6,centered5">
                        <p:column>
                            <h:outputLabel for="selEjercicio" value="Ejercicio: *" style="font-weight: bold"/>
                        </p:column>
                        <p:column>
                            <p:selectOneMenu id="selEjercicio" 
                                             filter="true"
                                             filterMatchMode="contains" 
                                             required="true"
                                             requiredMessage="Ejercicio requerido"
                                             caseSensitive="false"  
                                             styleClass="selectOneMenu" 
                                             converter="entityConverter"                                            
                                             value="#{afiliacionesMB.ejercicioTOSelected}" > 
                                <f:selectItem  itemLabel="Elegir un ejercicio"/>

                                <f:selectItems value="#{afiliacionesMB.lstEjercicios}" 
                                               var="ejercicio" 
                                               itemLabel="#{ejercicio.valor}" 
                                               itemValue="#{ejercicio}"                                       
                                               /> 
                                <p:ajax event="change" 
                                        listener="#{afiliacionesMB.fillQuincenaInicio()}"
                                        update="selQuincenaInicio" 
                                        ></p:ajax>


                            </p:selectOneMenu>
                             <p:message for="selEjercicio" />
                        </p:column>
                        <p:column>                      
                            <h:outputLabel for="selQuincenaInicio" value="Quincena Inicio: *" style="font-weight: bold"/>
                              </p:column>
                        <p:column>
                            <p:selectOneMenu id="selQuincenaInicio" 
                                             filter="true"
                                             filterMatchMode="contains" 
                                             caseSensitive="false"  
                                             styleClass="selectOneMenu" 
                                             converter="entityConverter"
                                             required="true"
                                             requiredMessage="Quincena de inicio requerida"
                                             value="#{afiliacionesMB.rhNomnCatQuincenaInicioTOSelected}"
                                             disabled="#{afiliacionesMB.blDisableQuincenaInicio}"> 
                                <f:selectItem  itemLabel="Elegir una quincena"/>

                                <f:selectItems value="#{afiliacionesMB.lstQuincenasInicio}" 
                                               var="quincenaInicio" 
                                               itemLabel="#{quincenaInicio.strDescripcionQuin}" 
                                               itemValue="#{quincenaInicio}"                                       
                                               />
                                <p:ajax event="change" 
                                        listener="#{afiliacionesMB.fillQuincenaFin()}"
                                        update="selQuincenaFin" 
                                        ></p:ajax>

                            </p:selectOneMenu>
                            <p:message for="selQuincenaInicio" />
                              </p:column>
                        <p:column>
                            <h:outputLabel for="selQuincenaFin" value="Quincena Fin: *" style="font-weight: bold"/>
                              </p:column>
                        <p:column>
                            <p:selectOneMenu id="selQuincenaFin" 
                                             filter="true"
                                             filterMatchMode="contains" 
                                             caseSensitive="false"  
                                             styleClass="selectOneMenu" 
                                             converter="entityConverter"
                                             required="true"
                                             requiredMessage="Quincena fin requerida"
                                             value="#{afiliacionesMB.rhNomnCatQuincenaFinTOSelected}"
                                             disabled="#{afiliacionesMB.blDisableQuincenaFin}"> 
                                <f:selectItem  itemLabel="Elegir una quincena"/>

                                <f:selectItems value="#{afiliacionesMB.lstQuincenasFin}" 
                                               var="quincenaFin" 
                                               itemLabel="#{quincenaFin.strDescripcionQuin}" 
                                               itemValue="#{quincenaFin}"                                       
                                               /> 

                            </p:selectOneMenu>
                            <p:message for="selQuincenaFin" />
                              </p:column>
                        <p:column>
                              <p:commandButton
                                id="btnFiltros"
                                value="Buscar"
                                actionListener="#{afiliacionesMB.filtrarMovimientos()}"
                                update=":#{p:component('tablaNvosMovs')}"
                                style="width: 120px"
                                />
                        </p:column>
                          </h:panelGrid>                                                                  
                </h:form>


                <h:form id="nvosTablaForm" >
                    <h:panelGrid columns="1" cellpadding="10" columnClasses="centered7" >
                    <p:dataTable id="tablaNvosMovs"
                                 value="#{afiliacionesMB.lstHistMovEmpleados}" 
                                 var="movimientos"
                                 paginator="true"
                                 rows="5"
                                 rowsPerPageTemplate="5,10,15"
                                 paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                                 currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                                 paginatorPosition="bottom"
                                 rowKey="#{movimientos.intIdHistoricoMovimiento}"
                                 selection="#{afiliacionesMB.lstHistMovEmpleadosTOSelected}"
                                 scrollable="true" 
                                 scrollWidth="99%"       
                                 emptyMessage="No se encontraron movimientos."
                                 style="font-size: small"
                                 >

                        <p:ajax 
                            event="rowSelect" 
                            listener="#{afiliacionesMB.onRowSelect}"
                            />  
                        
                        
                        <p:column 
                            width="10%"
                            selectionMode="multiple"
                            headerText="Seleccionar todo" >
                        </p:column>

                        <p:column 
                            headerText="Número de Empleado"
                            width="10%"                       
                            sortBy="#{movimientos.strNumeroEmpleado}"
                            filterBy="#{movimientos.strNumeroEmpleado}"
                            filterMatchMode="contains" >
                            <p:outputLabel value="#{movimientos.strNumeroEmpleado}"/>
                        </p:column>


                        <p:column 
                            headerText="Nombre(s)" 
                            width="20%"
                            filterMatchMode="contains"
                            sortBy="#{movimientos.strNombres} #{movimientos.strApellidoPaterno} #{movimientos.strApellidoMaterno}"
                            filterBy="#{movimientos.strNombres} #{movimientos.strApellidoPaterno} #{movimientos.strApellidoMaterno}"                            >
                            <p:outputLabel value="#{movimientos.strNombres} #{movimientos.strApellidoPaterno} #{movimientos.strApellidoMaterno}" />
                        </p:column>


                        <p:column 
                            headerText="Tipo Nombramiento" 
                            width="15%"
                            filterMatchMode="contains"
                            sortBy="#{movimientos.strTipoNombramiento}"
                            filterBy="#{movimientos.strTipoNombramiento}">
                            <p:outputLabel value="#{movimientos.strTipoNombramiento}"/>
                        </p:column>

                        <p:column 
                            headerText="Movimiento" 
                            width="15%"
                            filterMatchMode="contains"
                            sortBy="#{movimientos.strMovimiento}"
                            filterBy="#{movimientos.strMovimiento}"
                            >
                            <p:outputLabel value="#{movimientos.strMovimiento}"/>
                        </p:column>

                        <p:column 
                            headerText="Fecha de movimiento" 
                            width="15%"
                            filterMatchMode="contains"
                            sortBy="#{afiliacionesMB.convierteFecha(movimientos.datFechaMovimiento)}"
                            filterBy="#{afiliacionesMB.convierteFecha(movimientos.datFechaMovimiento)}">
                            <p:outputLabel value="#{afiliacionesMB.convierteFecha(movimientos.datFechaMovimiento)}"/>
                        </p:column>

                        <p:column 
                            headerText="Sueldo base" 
                            width="15%"
                            filterMatchMode="contains"
                            sortBy="#{movimientos.dbSueldoBase}"
                            filterBy="#{movimientos.dbSueldoBase}">
                            <p:outputLabel value="$ #{movimientos.dbSueldoBase}"/>
                        </p:column>


                    </p:dataTable>
                    </h:panelGrid>
                    <br/>
                    <div align="right">
                    <p:commandButton
                        id="btnSeguimiento"
                        value="Iniciar seguimiento"
                        actionListener="#{afiliacionesMB.iniciarSeguimiento()}"                       
                        update=":#{p:component('tablaNvosMovs')}
                        :#{p:component('tramitesTablaForm')}"
                        style="font-size: 130%"
                        />
                    </div>
                </h:form>

            </p:tab>

            <p:tab title="Seguimiento">

                <h:form id="filtrosTramites" >

                    <h:panelGrid columns="9" cellpadding="5" columnClasses="centered5,centered6,centered5,centered6,centered5,centered6,centered5,centered6,centered5">
                           
                        <p:column>
                            <h:outputLabel for="selEstatus" value="Estatus: " style="font-weight: bold"/>
                        </p:column>
                        <p:column>
                            <p:selectOneMenu id="selEstatus" 
                                             filter="true"
                                             filterMatchMode="contains" 
                                             caseSensitive="false"  
                                             styleClass="selectOneMenu" 
                                             converter="entityConverter"
                                             value="#{afiliacionesMB.strEstatusTramite}" > 
                                <f:selectItem  itemLabel="Elegir un estatus"/>
                                <f:selectItem  itemLabel="Generado" itemValue="Generado"/>
                                <f:selectItem  itemLabel="Aceptado" itemValue="Aceptado"/>                                

                            </p:selectOneMenu>
                            <p:message for="selEjercicioTramites" />                      
                            </p:column>
                        <p:column>
                            <h:outputLabel for="selEjercicioTramites" value="Ejercicio: " style="font-weight: bold"/>
                            </p:column>
                        <p:column>
                            <p:selectOneMenu id="selEjercicioTramites" 
                                             filter="true"
                                             filterMatchMode="contains" 
                                             caseSensitive="false"  
                                             styleClass="selectOneMenu" 
                                             converter="entityConverter"
                                             value="#{afiliacionesMB.ejercicioTramiteTOSelected}" > 
                                <f:selectItem  itemLabel="Elegir un ejercicio"/>

                                <f:selectItems value="#{afiliacionesMB.lstEjercicios}" 
                                               var="ejercicioTramite" 
                                               itemLabel="#{ejercicioTramite.valor}" 
                                               itemValue="#{ejercicioTramite}"                                       
                                               /> 
                                <p:ajax event="change" 
                                        listener="#{afiliacionesMB.fillQuincenaTramiteInicio()}"
                                        update="selQuincenaInicioTramite" 
                                        ></p:ajax>


                            </p:selectOneMenu>
                            <p:message for="selEjercicioTramites" />
                       </p:column>
                        <p:column>

                            <h:outputLabel for="selQuincenaInicioTramite" value="Quincena Inicio: " style="font-weight: bold"/>
                            </p:column>
                        <p:column>
                            <p:selectOneMenu id="selQuincenaInicioTramite" 
                                             filter="true"
                                             filterMatchMode="contains" 
                                             caseSensitive="false"  
                                             styleClass="selectOneMenu" 
                                             converter="entityConverter"
                                             required="false"
                                             value="#{afiliacionesMB.rhNomnCatQuincenaInicioTramiteTOSelected}"
                                             disabled="#{afiliacionesMB.blDisableQuincenaTramiteInicio}"> 
                                <f:selectItem  itemLabel="Elegir una quincena"/>

                                <f:selectItems value="#{afiliacionesMB.lstQuincenasTramiteInicio}" 
                                               var="quincenaInicioTramite" 
                                               itemLabel="#{quincenaInicioTramite.strDescripcionQuin}" 
                                               itemValue="#{quincenaInicioTramite}"                                       
                                               />
                                <p:ajax event="change" 
                                        listener="#{afiliacionesMB.fillQuincenaTramiteFin()}"
                                        update="selQuincenaFinTramite" 
                                        ></p:ajax>

                            </p:selectOneMenu>
                            <p:message for="selQuincenaInicioTramite" />
                            </p:column>
                        <p:column>

                            <h:outputLabel for="selQuincenaFinTramite" value="Quincena Fin: " style="font-weight: bold"/>
                            </p:column>
                        <p:column>
                            <p:selectOneMenu id="selQuincenaFinTramite" 
                                             filter="true"
                                             filterMatchMode="contains" 
                                             caseSensitive="false"  
                                             styleClass="selectOneMenu" 
                                             converter="entityConverter"
                                             required="false"
                                             value="#{afiliacionesMB.rhNomnCatQuincenaFinTramiteTOSelected}"
                                             disabled="#{afiliacionesMB.blDisableQuincenaTramiteFin}"> 
                                 
                                <f:selectItem  itemLabel="Elegir una quincena"/>

                                <f:selectItems value="#{afiliacionesMB.lstQuincenasTramiteFin}" 
                                               var="quincenaFin" 
                                               itemLabel="#{quincenaFin.strDescripcionQuin}" 
                                               itemValue="#{quincenaFin}"                                       
                                               /> 

                            </p:selectOneMenu>
                            <p:message for="selQuincenaFinTramite" />
                            </p:column>
                        <p:column>

                            <p:commandButton
                                id="btnFiltrosTramites"
                                value="Buscar"
                                actionListener="#{afiliacionesMB.filtrarTramites()}"
                                update=":#{p:component('tramitesTablaForm')}"
                                style="font-size: 100%;"
                                />
                            </p:column>
                     
                    </h:panelGrid>
                      

                </h:form>
                <h:form id="tramitesForm" >
                    <h:panelGrid columns="1" cellpadding="5" captionClass="centered7">
                    <p:dataTable id="tramitesTablaForm"
                                 value="#{afiliacionesMB.lstTram}" 
                                 var="tramites"
                                 paginator="true"
                                 rows="10"
                                 rowKey="#{tramites.intIdHistoricoMovimiento}"
                                 selection="#{afiliacionesMB.lstHistMovTramitesTOSelected}"
                                 scrollable="true" 
                                 scrollWidth="99%"
                                 style="font-size: small"
                                 emptyMessage="No se encontraron movimientos."
                                 currentPageReportTemplate="Mostrando movimientos del {startRecord} al {endRecord} de {totalRecords}."
                                 paginatorPosition="bottom"
                                 >


                        <p:column headerText="Semáforo" width="6%" style="font-size: x-small;">

                            <div style="
                                 width: 15px; 
                                 height: 15px; 
                                 -moz-border-radius: 50%; 
                                 -webkit-border-radius: 
                                 50%; border-radius: 
                                 50%; 
                                 background: #{afiliacionesMB.obtenSemaforo(tramites)};
                                 margin: 0 auto;">
                            </div>

                        </p:column>

                        <p:column 
                            headerText="Número de Empleado" 
                            width="8%"
                            filterMatchMode="contains"
                            filterStyle="width:90%"
                            style="font-size: x-small"
                            sortBy="#{tramites.strNumeroEmpleado}"
                            filterBy="#{tramites.strNumeroEmpleado}">                            
                            
                            <p:outputLabel value="#{tramites.strNumeroEmpleado}"/>
                        </p:column>

                        <p:column  
                            headerText="Nombre(s)" 
                            sortBy="#{tramites.strNombres} #{tramites.strApellidoPaterno} #{tramites.strApellidoMaterno}"                            
                            filterMatchMode="contains"
                            filterBy="#{tramites.strNombres} #{tramites.strApellidoPaterno} #{tramites.strApellidoMaterno}"                            
                            width="20%"
                            style="font-size: x-small">
                            
                            <h:outputLabel value="#{tramites.strNombres} #{tramites.strApellidoPaterno} #{tramites.strApellidoMaterno}"/>
                        </p:column>


                        <p:column 
                            headerText="Tipo Nombramiento" 
                            width="10%"
                            filterMatchMode="contains"
                            filterStyle="width:90%"
                            style="font-size: x-small"
                            sortBy="#{tramites.strTipoNombramiento}"
                            filterBy="#{tramites.strTipoNombramiento}"
                            >
                            <p:outputLabel value="#{tramites.strTipoNombramiento}"/>
                        </p:column>

                        <p:column 
                            headerText="Movimiento" 
                            width="10%"
                            filterMatchMode="contains"
                            style="font-size: x-small"
                            filterStyle="width:90%"
                            sortBy="#{tramites.strMovimiento}"
                            filterBy="#{tramites.strMovimiento}"
                            >
                            <p:outputLabel value="#{tramites.strMovimiento}"/>
                        </p:column>

                        <p:column 
                            headerText="Fecha de movimiento" 
                            width="10%"
                            filterMatchMode="contains"
                            style="font-size: x-small"
                            filterStyle="width:90%"
                            sortBy="#{afiliacionesMB.convierteFecha(tramites.datFechaMovimiento)}"
                            filterBy="#{afiliacionesMB.convierteFecha(tramites.datFechaMovimiento)}"
                            >
                            <p:outputLabel value="#{afiliacionesMB.convierteFecha(tramites.datFechaMovimiento)}"/>
                        </p:column>

                        <p:column 
                            headerText="Fecha inicio trámite" 
                            width="10%"
                            filterMatchMode="contains"
                            style="font-size: x-small;"
                            filterStyle="width:90%"
                            sortBy="#{afiliacionesMB.convierteFecha(tramites.datFechaInicioTramite)}"
                            filterBy="#{afiliacionesMB.convierteFecha(tramites.datFechaInicioTramite)}"
                            >
                            <p:outputLabel value="#{afiliacionesMB.convierteFecha(tramites.datFechaInicioTramite)}"/>
                        </p:column>

                        <p:column 
                            headerText="Fecha fin trámite" 
                            width="10%"
                            style="font-size: x-small;"
                            filterMatchMode="contains"
                            filterStyle="width:90%"
                            sortBy="#{afiliacionesMB.convierteFecha(tramites.datFechaFinTramite)}"
                            filterBy="#{afiliacionesMB.convierteFecha(tramites.datFechaFinTramite)}"
                            >
                            <p:outputLabel value="#{afiliacionesMB.convierteFecha(tramites.datFechaFinTramite)}"/>
                        </p:column>

                        <p:column 
                            headerText="Estatus" 
                            width="10%"
                            filterMatchMode="contains"
                            style="font-size: x-small;"
                            filterStyle="width:90%"
                            sortBy="#{afiliacionesMB.obtenEstatus(tramites.strEstatus)}"
                            filterBy="#{afiliacionesMB.obtenEstatus(tramites.strEstatus)}"
                            >
                            <p:outputLabel value="#{afiliacionesMB.obtenEstatus(tramites.strEstatus)}"/>
                        </p:column>
                        

                        <p:column headerText="Acciones" style="font-size: x-small;" width="7%">

                            <p:commandButton 

                                title="Aceptar"
                                actionListener="#{afiliacionesMB.aceptarTramite(tramites)}"
                                class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only"
                                style="font-size: x-small;width: 65px; margin-bottom: 2px;"
                                update=":#{p:component('tramitesTablaForm')}"
                                disabled="#{afiliacionesMB.habilitarBotones(tramites)}"
                                >

                                <p:confirm header="Por favor confirme" 
                                           message="¿Está seguro de aceptar el trámite?" 
                                           icon="ui-icon-alert"/>
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check"/>
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close"/>
                            </p:confirmDialog>


                            <p:commandButton 

                                title="Rechazar"
                                actionListener="#{afiliacionesMB.rechazarTramite(tramites)}"
                                class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only"
                                style="font-size: x-small;width: 65px; margin-bottom: 1px;"
                                update=":#{p:component('tramitesTablaForm')}"
                                disabled="#{afiliacionesMB.habilitarBotones(tramites)}"
                                >

                                <p:confirm header="Por favor confirme" 
                                           message="¿Está seguro de rechazar el trámite?" 
                                           icon="ui-icon-alert"/>
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check"/>
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close"/>
                            </p:confirmDialog>
                            
                            <p:commandButton 

                                title="Alta"
                                value="Alta"
                                actionListener="#{reportesSegurosMB.consultar()}"    
                                oncomplete="PF('report').show();" 
                                update="@(.report)"
                                class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only"
                                style="font-size: x-small;width: 65px"
                                rendered = "#{tramites.strMovimiento eq 'ALTA'}"
                                
                                >
                                <f:setPropertyActionListener target="#{reportesSegurosMB.reporte}" 
                                                             value="ftoNomn_AvisoAlta&amp;idEmpleado=#{tramites.intIdEmpleado}" />
                            </p:commandButton>

                            <p:commandButton 

                                title="Baja"
                                value="Baja"
                                actionListener="#{reportesSegurosMB.consultar()}"    
                                oncomplete="PF('report').show();" 
                                update="@(.report)"
                                class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only"
                                style="font-size: x-small;width: 65px"
                                rendered = "#{tramites.strMovimiento eq 'BAJA' }"
                                
                                >
                                <f:setPropertyActionListener target="#{reportesSegurosMB.reporte}" 
                                                             value="ftoNomn_AvisoBaja&amp;idEmpleado=#{tramites.intIdEmpleado}" />
                            </p:commandButton>
                            
                            <p:commandButton 

                                title="Cambio"
                                value="Cambio"
                                actionListener="#{reportesSegurosMB.consultar()}"    
                                oncomplete="PF('report').show();" 
                                update="@(.report)"
                                class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only"
                                style="font-size: x-small;width: 65px"
                                rendered = "#{tramites.strMovimiento eq 'CAMBIO DE PUESTO' }"
                                
                                >
                                <f:setPropertyActionListener target="#{reportesSegurosMB.reporte}" 
                                                             value="ftoNomn_AvisoModificacion&amp;idEmpleado=#{tramites.intIdEmpleado}" />
                            </p:commandButton>
                        </p:column>


                    </p:dataTable>
                    </h:panelGrid>

                </h:form>

            </p:tab>

        </p:tabView>
        <div style="align-content: center">    
            <ui:include src="../seguros/Reportes/viewDialog.xhtml" />
        </div>    
    </ui:define>
</ui:composition>